lts-trusty enablement in precise

Bug #1318616 reported by Maarten Lankhorst on 2014-05-12
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
libdrm (Ubuntu)
Undecided
Unassigned
Precise
High
Maarten Lankhorst
Saucy
High
Maarten Lankhorst
llvm-toolchain-3.4 (Ubuntu)
High
Maarten Lankhorst
x11proto-gl (Ubuntu)
High
Maarten Lankhorst
x11proto-xext (Ubuntu)
High
Maarten Lankhorst
xorg-lts-transitional (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Maarten Lankhorst

Bug Description

Some packages need to be updated for precise.

Related branches

Changed in libdrm (Ubuntu):
status: New → Invalid
Changed in libdrm (Ubuntu Precise):
importance: Undecided → High
Changed in libdrm (Ubuntu Saucy):
importance: Undecided → High
Changed in libdrm (Ubuntu Precise):
assignee: nobody → Maarten Lankhorst (mlankhorst)
Changed in libdrm (Ubuntu Saucy):
assignee: nobody → Maarten Lankhorst (mlankhorst)
Changed in libdrm (Ubuntu Precise):
milestone: none → ubuntu-12.04.4
milestone: ubuntu-12.04.4 → ubuntu-12.04.5
Changed in xorg-lts-transitional (Ubuntu):
assignee: nobody → Maarten Lankhorst (mlankhorst)
no longer affects: xorg-lts-transitional (Ubuntu Precise)
no longer affects: xorg-lts-transitional (Ubuntu Saucy)
no longer affects: libdrm (Ubuntu Trusty)
Changed in xorg-lts-transitional (Ubuntu Trusty):
assignee: nobody → Maarten Lankhorst (mlankhorst)
Changed in xorg-lts-transitional (Ubuntu):
status: New → Invalid
assignee: Maarten Lankhorst (mlankhorst) → nobody
Changed in x11proto-xext (Ubuntu):
milestone: none → ubuntu-12.04.5
Changed in x11proto-gl (Ubuntu):
milestone: none → ubuntu-12.04.5
Changed in llvm-toolchain-3.4 (Ubuntu):
milestone: none → ubuntu-12.04.5
assignee: nobody → Maarten Lankhorst (mlankhorst)
Changed in x11proto-gl (Ubuntu):
assignee: nobody → Maarten Lankhorst (mlankhorst)
Changed in x11proto-xext (Ubuntu):
assignee: nobody → Maarten Lankhorst (mlankhorst)
importance: Undecided → High
Changed in x11proto-gl (Ubuntu):
importance: Undecided → High
Changed in llvm-toolchain-3.4 (Ubuntu):
importance: Undecided → High
tags: added: lts-trusty precise

Hello Maarten, or anyone else affected,

Accepted x11proto-xext into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/x11proto-xext/7.3.0-1~precise1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Adam Conrad (adconrad) wrote :

Hello Maarten, or anyone else affected,

Accepted x11proto-gl into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/x11proto-gl/1.4.17-1~precise1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libdrm (Ubuntu Precise):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Maarten, or anyone else affected,

Accepted libdrm into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libdrm/2.4.52-1~precise1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libdrm (Ubuntu Saucy):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Maarten, or anyone else affected,

Accepted libdrm into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libdrm/2.4.52-1~saucy1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) wrote :

Hello Maarten, or anyone else affected,

Accepted llvm-toolchain-3.4 into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/llvm-toolchain-3.4/1:3.4-1ubuntu3~precise1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Bartosz Kosiorek (gang65) wrote :

After install from proposed llvm-3-4 is working correctly for me.

Verification done.

tags: added: verification-done-precise
Mathew Hodson (mathew-hodson) wrote :

These three packages are in the proposed pocket.

Changed in x11proto-xext (Ubuntu):
status: New → Fix Committed
Changed in x11proto-gl (Ubuntu):
status: New → Fix Committed
Changed in llvm-toolchain-3.4 (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg-lts-transitional (Ubuntu Trusty):
status: New → Confirmed
Bernhard (baumber) wrote :

Hello,

I've tested the trusty Xstack HWE xserver-xorg-lts-trusty;

I have reported 3 bugs;

https://bugs.launchpad.net/ubuntu/+source/xorg-lts-trusty/+bug/1328264

https://bugs.launchpad.net/ubuntu/+source/synaptiks/+bug/1328266

https://bugs.launchpad.net/ubuntu/+source/mesa-utils/+bug/1328270

You need mesa-utils and mesa-utils-extra version 8.1.0-2 from trusty and glew >= 1.5.4 (install libglew1.6-dev) too, that glxinfo shows the correct information => opengl3.3 support

Best regards, Bernhard

Maarten Lankhorst (mlankhorst) wrote :

Thanks for testing, the first bug is in apt-get itself, the dependency resolver to be exact. It's already been reported in some form or another, doesn't seem like anyone wants to fix it. :/

Second one should be fixed by upgrading synaptiks, third one won't be fixed.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package x11proto-xext - 7.3.0-1~precise1

---------------
x11proto-xext (7.3.0-1~precise1) precise-proposed; urgency=low

  * Copy package back to precise. (LP: #1318616)

x11proto-xext (7.3.0-1) unstable; urgency=low

  * New upstream release.

x11proto-xext (7.2.99.901-1) experimental; urgency=low

  * New upstream release candidate.

x11proto-xext (7.2.1-1) unstable; urgency=low

  * New upstream release.
  * Don't require (fake)root for debian/rules clean.
  * Set docdir in configure directly.
  * Bump build-deps on xutils-dev, xmlto and xorg-sgml-doctools per
    configure.ac.
 -- Maarten Lankhorst <email address hidden> Wed, 19 Feb 2014 09:29:54 +0100

Changed in x11proto-xext (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package llvm-toolchain-3.4 - 1:3.4-1ubuntu3~precise1

---------------
llvm-toolchain-3.4 (1:3.4-1ubuntu3~precise1) precise-proposed; urgency=low

  * Copy package back from trusty. (LP: #1318616)
  * Add zlib1g-dev to llvm-3.4-dev depends.
  * Use -lts versions of cloog and isl.
  * Drop building lldb, FTBFS due to c++11 features.
 -- Maarten Lankhorst <email address hidden> Mon, 17 Feb 2014 13:12:09 +0100

Changed in llvm-toolchain-3.4 (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.52-1~precise1

---------------
libdrm (2.4.52-1~precise1) precise-proposed; urgency=low

  * Copy package back to precise, and build libdrm-nouveau1a again. (LP: #1318616)

libdrm (2.4.52-1) unstable; urgency=medium

  [ Julien Cristau ]
  * Remove Cyril Brulebois from Uploaders.

  [ Maarten Lankhorst ]
  * New upstream release.

libdrm (2.4.51-1) unstable; urgency=medium

  * New upstream release.

libdrm (2.4.50-1) unstable; urgency=low

  * New upstream release.

libdrm (2.4.49-2) unstable; urgency=low

  * Cherry-pick a commit from upstream to fix a radeonsi regression.
    - c8a437f4c76: radeon: Update unaligned offset for 2D->1D tiling
      transition on SI

libdrm (2.4.49-1) unstable; urgency=low

  * New upstream release.

libdrm (2.4.46-4) unstable; urgency=low

  [ Colin Watson ]
  * Declare libdrm-dev Multi-Arch: same.

  [ Maarten Lankhorst ]
  * Cherry-pick upstream patch to fix relocations for all cards <nv50.
  * Do not require valgrind on armel.

libdrm (2.4.46-3) unstable; urgency=low

  * Make drmCheckModesettingSupported work on FreeBSD. Thanks, Christoph
    Egger!
  * Stop building libkms.

libdrm (2.4.46-2) unstable; urgency=low

  * Build libdrm-radeon1 on kfreebsd (closes: #684593).
 -- Maarten Lankhorst <email address hidden> Tue, 18 Feb 2014 17:08:01 +0100

Changed in libdrm (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package x11proto-gl - 1.4.17-1~precise1

---------------
x11proto-gl (1.4.17-1~precise1) precise-proposed; urgency=low

  * Copy package back to precise. (LP: #1318616)

x11proto-gl (1.4.17-1) unstable; urgency=medium

  * New upstream release.

x11proto-gl (1.4.16-2) unstable; urgency=low

  * Upload to unstable.
 -- Maarten Lankhorst <email address hidden> Wed, 19 Feb 2014 09:30:21 +0100

Changed in x11proto-gl (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.52-1~saucy1

---------------
libdrm (2.4.52-1~saucy1) saucy-proposed; urgency=low

  * Copy trusty package back to saucy. (LP: #1318616)

libdrm (2.4.52-1) unstable; urgency=medium

  [ Julien Cristau ]
  * Remove Cyril Brulebois from Uploaders.

  [ Maarten Lankhorst ]
  * New upstream release.

libdrm (2.4.51-1) unstable; urgency=medium

  * New upstream release.

libdrm (2.4.50-1) unstable; urgency=low

  * New upstream release.

libdrm (2.4.49-2) unstable; urgency=low

  * Cherry-pick a commit from upstream to fix a radeonsi regression.
    - c8a437f4c76: radeon: Update unaligned offset for 2D->1D tiling
      transition on SI

libdrm (2.4.49-1) unstable; urgency=low

  * New upstream release.

libdrm (2.4.46-4) unstable; urgency=low

  [ Colin Watson ]
  * Declare libdrm-dev Multi-Arch: same.

  [ Maarten Lankhorst ]
  * Cherry-pick upstream patch to fix relocations for all cards <nv50.
  * Do not require valgrind on armel.

libdrm (2.4.46-3) unstable; urgency=low

  * Make drmCheckModesettingSupported work on FreeBSD. Thanks, Christoph
    Egger!
  * Stop building libkms.

libdrm (2.4.46-2) unstable; urgency=low

  * Build libdrm-radeon1 on kfreebsd (closes: #684593).
 -- Maarten Lankhorst <email address hidden> Mon, 12 May 2014 13:38:44 +0200

Changed in libdrm (Ubuntu Saucy):
status: Fix Committed → Fix Released
Mathew Hodson (mathew-hodson) wrote :

The package libdrm in saucy-proposed was moved to -updates.

tags: removed: verification-needed
Colin Watson (cjwatson) wrote :

Hello Maarten, or anyone else affected,

Accepted xorg-lts-transitional into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/xorg-lts-transitional/3:6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xorg-lts-transitional (Ubuntu Trusty):
status: Confirmed → Fix Committed
tags: added: verification-needed
Michael Vogt (mvo) wrote :

I just finished a full upgrade with the xorg-lts-transitional package and can confirm that it works. Without the package bug #1347964 will be triggered so it would be good if this could go in soon.

Steve Langasek (vorlon) on 2014-07-28
tags: added: verification-done-trusty
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-lts-transitional - 3:6

---------------
xorg-lts-transitional (3:6) trusty-proposed; urgency=low

  * Add all lts-trusty packages. (LP: #1318616)
 -- Maarten Lankhorst <email address hidden> Thu, 15 May 2014 13:29:43 +0200

Changed in xorg-lts-transitional (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for xorg-lts-transitional has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers